#include "iec_include.h"


struct sFrame {
    FrameVFT virtualFunctionTable;
};


void
Frame_destroy(Frame self)
{
    self->virtualFunctionTable->destroy(self);
}

void
Frame_resetFrame(Frame self)
{
    self->virtualFunctionTable->resetFrame(self);
}

void
Frame_setNextByte(Frame self, uint8_t byte)
{
    self->virtualFunctionTable->setNextByte(self, byte);
}

void
Frame_appendBytes(Frame self, uint8_t* bytes, int numberOfBytes)
{
    self->virtualFunctionTable->appendBytes(self, bytes, numberOfBytes);
}

int
Frame_getMsgSize(Frame self)
{
    return self->virtualFunctionTable->getMsgSize(self);
}

uint8_t*
Frame_getBuffer(Frame self)
{
    return self->virtualFunctionTable->getBuffer(self);
}


int
Frame_getSpaceLeft(Frame self)
{
    return self->virtualFunctionTable->getSpaceLeft(self);
}